PDA

View Full Version : Advice for GCO osCMax Level 1 or 2?



Superior1
11-24-2007, 03:00 PM
I run two stores. my .com (uses Miva5) and is for US based customers. And since there were issues with shipping internationally
I decided to seperate and have two stores. So I have just loaded OScMax to my .net which will be for my international business.

I will be using OscMax only with google checkout and paypal for the OSCMax .net store.

I mention my .com store because I have GCO running on it and using the callback notification for it, and will not need callback notification for the .net OSCMAx store.
Do I need the level 2 module? I might be wrong but doesn't the level 2 mostly relate to the callback notification feature?

If I do need a level 2 module regardless if I will enable (or even need) the callback notification. I have a question.

I have downloaded the latest GCO module and notice in the install doc. that it says>>>
* Note: If you applied a patch or manually modified the files to disable
register_globals, go for Option B.
OPTION B:
=========
If you have other modules installed on your osCMax installation, replacing
your existing files might break your existing installation. In this case, you
need to edit the existing files manually.

Now I have a shared server and was having the register_globals error when I was trying to install OscMax. I couldn't find any php.ini file anywhere on my server nor could I find an htaccess file. I emailed my host and told him of the error and he said "Yeah it can be fixed in the htaccess file and I just did it for you." So I went to install Oscmax and the installed worked. Other than doing something to my htaccess file I do not know what else he did. I don't think he directly altered the php.ini file.

or if Could I go with Option A in this case? I am assuming the htaccess file he changed was on his side not my side since it's shared?

I do know I created an htaccess file upon installing oscmax and not sure if this file is the one changed or not?

My question is I would rather install only what I need, If I can install a level 1 and that is all I need I would rather do that.

I don't intend to have digital signatures or notifications. I simply want the cart info to be able to be successfully transfered to GCO's page and to have some funtionality for the shipping method.
I have paypal working on my oscmax (other than usps shipping calculations) and just looking for basics.

I would rather go with the Option A install. But does it sound like in my case that I need to do all the manual installing and use of file comparisions as stated in the installation Doc?